Last Comment Bug 716238 - ThunderbirdTry: "reftest/tests/content/media/test/crashtests/495794-1.html | load failed: timed out waiting for reftest-wait to be removed"
: ThunderbirdTry: "reftest/tests/content/media/test/crashtests/495794-1.html | ...
Status: VERIFIED FIXED
[perma-orange]
:
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: All All
: -- major (vote)
: mozilla12
Assigned To: Mark Banner (:standard8)
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-07 08:26 PST by Serge Gautherie (:sgautherie)
Modified: 2012-01-28 12:09 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Proposed fix (1.26 KB, patch)
2012-01-23 03:44 PST, Mark Banner (:standard8)
dbaron: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2012-01-07 08:26:04 PST
(In reply to Serge Gautherie (:sgautherie) from bug 573634 comment #20)
> http://ftp.mozilla.org/pub/mozilla.org/thunderbird/try-builds/sgautherie.
> bz@free.fr-aeea4848d0e6/try-comm-central-macosx64/try-comm-central-macosx64-
> opt-unittest-crashtest-build63.txt.gz
> try-comm-central-macosx64-opt-unittest-crashtest

http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTry/1325930064.1325931088.952.gz
WINNT 5.2 try-comm-central opt test crashtest on 2012/01/07 01:54:24
too.

This looks like (all platform) perma-orange on ThunderbirdTry.

*****

Test code is:
{
1 <!DOCTYPE html>
2 <html class="reftest-wait">
3   <body>
4     <audio src="495794-1.ogg" autoplay onended="document.documentElement.className=undefined"></audio>
5   </body>
6 </html>
}

*****

I think Thunderbird does not automatically play videos, does it?
Might it be possible to enable a related preference just for this test?
Otherwise, might need to somehow disable this test for TB...
Comment 1 Mark Banner (:standard8) 2012-01-23 03:44:15 PST
Created attachment 590670 [details] [diff] [review]
Proposed fix

Thunderbird disables media.autoplay.enabled by default as we don't want media elements playing automatically.

As a result 495794-1.html fails because it is expecting autoplay to be enabled when it isn't.

There's two potential solutions to this bug: 1) force the autoplay pref to true via the profile, 2) Set autoplay pref to true for each test.

I've gone for the former as that seems to be the long-term robust solution.
Comment 2 David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch) 2012-01-23 13:41:05 PST
Comment on attachment 590670 [details] [diff] [review]
Proposed fix

r=dbaron, though in the future somebody who works on video/audio stuff would probably be a better reviewer
Comment 3 Mark Banner (:standard8) 2012-01-24 02:09:33 PST
Landed on inbound: https://hg.mozilla.org/integration/mozilla-inbound/rev/ab64f34dd8ea
Comment 4 Matt Brubeck (:mbrubeck) 2012-01-24 10:44:39 PST
https://hg.mozilla.org/mozilla-central/rev/ab64f34dd8ea
Comment 5 Serge Gautherie (:sgautherie) 2012-01-28 12:09:33 PST
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTry/1327474497.1327474782.16144.gz
OS X 10.6.2 try-comm-central opt test crashtest on 2012/01/24 22:54:57
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTry/1327460903.1327461724.22414.gz
WINNT 5.2 try-comm-central opt test crashtest on 2012/01/24 19:08:23

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.